Subject: [bug#35185] [PATCH] gnu: mu: Update to 1.2.

From: Pierre Langlois <[email-masked]>
Date: Sun, 07 Apr 2019 23:23:23 +0100

Hi Tobias,

Tobias Geerinckx-Rice writes:

> Pierre,
>
> Upstream wrote:
>> Substantial (algorithmic) speed-up of message-threading
>
> \o/

Yes! Full disclaimer, I've been running a git snapshot of mu for the
past few months just so I could get this early :-).

>
> Pierre Langlois wrote:
>> I've noticed we've moved away from using Github's generated tarballs
>> and
>> using git-fetch instead. However, it looks like the tarball for mu
>> is
>> provided by the developer so we should be fine.
>>
>> Is that right?
>
> Yes.  These unreliable (auto)-‘generated tarballs’ we're getting rid
> of have ‘/archive/’ in the URL.  Others are fine.
>
>> +                                  "download/" version "/mu-" 
>> version
>> +                                  ".0.tar.xz"))
>
> I've added the ‘.0’ to VERSION instead, and will push this tomorrow
> after some testing.
>
> Thanks!

Yeah, I wasn't sure what to make of the extra ".0" since the tagged
release is only "1.2". I think adding it to VERSION has you've done it
better.

Thanks!
Pierre